#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
const int N = 1e6+56;

ll n,x,a[N];

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cin >> n >> x;
    for(int i = 1; i <= n; i++){
        cin >> a[i];
    }
    sort(a+1,a+n+1);
    ll sol1 = 0,sol2 = 0;
    if(x < a[1]){
        sol1 += a[n]-x;
    }
    else{
        sol1 += x-a[1];
        sol1 += a[n]-a[1];
    }
    if(x > a[n]){
        sol2 += x-a[1];
    }
    else{
        sol2 += a[n]-x;
        sol2 += a[n]-a[1];
    }
    cout << min(sol1,sol2) << endl;
}